package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydFlowsVo;
import org.dromara.payment.sys.domain.bo.SysSydFlowsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商流水Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydFlowsService {

    /**
     * 查询服务商流水
     */
    SysSydFlowsVo queryById(Long id);

    /**
     * 查询服务商流水列表
     */
    TableDataInfo<SysSydFlowsVo> queryPageList(SysSydFlowsBo bo, PageQuery pageQuery);

    /**
     * 查询服务商流水列表
     */
    List<SysSydFlowsVo> queryList(SysSydFlowsBo bo);

    /**
     * 新增服务商流水
     */
    Boolean insertByBo(SysSydFlowsBo bo);

    /**
     * 修改服务商流水
     */
    Boolean updateByBo(SysSydFlowsBo bo);

    /**
     * 校验并批量删除服务商流水信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
